# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rerec"
version = "0.0.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Readings and records from sensory instruments as used by Herodot and Percepter"
readme = false
keywords = [
    "IoT",
    "Raspberry_Pi",
    "DS18B20",
    "BME280",
    "weather",
]
license = "0BSD"
repository = "https://github.com/ladekjaer/rerec"

[lib]
name = "rerec"
path = "src/lib.rs"

[dependencies.chrono]
version = "0.4.43"
features = ["serde"]

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.sqlx]
version = "0.8.6"
optional = true

[dependencies.uuid]
version = "1.19.0"
features = [
    "serde",
    "v4",
]
